POST Agents/Find/FindFromRestrictions
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Find/FindFromRestrictions
Execute a Find operation and return a page of results.
The criteria for the Find are passed in directly, not fetched by a restriction storage provider. The columns of the result are calculated based on the restriction. NsApiSlow threshold: 5000 ms. Archive Restriction Info objects represent search terms.
Column names and operator strings are defined elsewhere.
Values should be encoded using the CultureDataFormatter, so 10 is "[I:10]". Default string encodings should be handled ok, but beware of non-invariant cultures leading to incorrect date and float parsing.
var restriction1 = new ArchiveRestrictionInfo("category", "equals", "[I:10]");
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Find/FindFromRestrictions?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Restrictions, ProviderName, PageSize, PageNumber
| Property Name | Type | Description |
|---|---|---|
| Restrictions | Array | |
| ProviderName | String | |
| PageSize | Integer | |
| PageNumber | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: FindResults
| Property Name | Type | Description |
|---|---|---|
| ArchiveColumns | array | Array of ColumnInfo column specifications |
| ArchiveRows | array | Array of archive list items, i.e., the service layer carrier for archive rows. These are the find results, represented as archive rows |
| RowCount | int32 | Count of rows, independent of paging. If you order up page 1 with page size 50, the row count may still be 279, that being the number of rows that would have been returned in a paging-off situation |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Find/FindFromRestrictions
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"Restrictions": [
{
"Name": "Hills-Kozey",
"Operator": "voluptatibus",
"Values": [
"sed",
"dolorem"
],
"DisplayValues": [
"magni",
"sed"
],
"ColumnInfo": null,
"IsActive": false,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 668,
"InterOperator": "And",
"UniqueHash": 64
}
],
"ProviderName": "Daniel Inc and Sons",
"PageSize": 790,
"PageNumber": 322
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ArchiveColumns": [
{
"DisplayName": "Bosco, Ryan and Koepp",
"DisplayTooltip": "aliquid",
"DisplayType": "doloribus",
"CanOrderBy": false,
"Name": "Lindgren Inc and Sons",
"CanRestrictBy": false,
"RestrictionType": "voluptatibus",
"RestrictionListName": "Sanford Inc and Sons",
"IsVisible": true,
"ExtraInfo": "voluptas",
"Width": "qui",
"IconHint": "doloribus",
"HeadingIconHint": "ea"
}
],
"ArchiveRows": [
{
"EntityName": "Schaden, Harris and Gleason",
"PrimaryKey": 89,
"ColumnData": {
"fieldName": {
"DisplayValue": "velit",
"TooltipHint": "voluptatem",
"LinkHint": "vel"
}
},
"LinkHint": "in",
"StyleHint": "non",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 177
}
}
}
],
"RowCount": 380,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 687
}
}
}